## yorick-imutil 0.5.1

=== Makefile ===
Y_MAKEDIR=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
Y_EXE=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh/bin/yorick
Y_EXE_PKGS=
Y_EXE_HOME=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
Y_EXE_SITE=/Users/frigaut/yorick-2.1

# ----------------------------------------------------- optimization flags

COPT=$(COPT_DEFAULT)
TGT=$(DEFAULT_TGT)

# ------------------------------------------------ macros for this package

PKG_NAME=imutil
PKG_I=imutil.i

OBJS=bilinear.o imutil.o insort.o sedgesort.o spline2.o

# change to give the executable a name other than yorick
PKG_EXENAME=yorick

# PKG_DEPLIBS=-Lsomedir -lsomelib   for dependencies of this package
PKG_DEPLIBS=
# set compiler or loader (rare) flags specific to this package
PKG_CFLAGS=
PKG_LDFLAGS=

# list of additional package names you want in PKG_EXENAME
# (typically Y_EXE_PKGS should be first here)
EXTRA_PKGS=$(Y_EXE_PKGS)

# list of additional files for clean
PKG_CLEAN=

# autoload file for this package, if any
PKG_I_START=imutil_start.i
# non-pkg.i include files for this package, if any
PKG_I_EXTRA=

# -------------------------------- standard targets and rules (in Makepkg)

# set macros Makepkg uses in target and dependency names
# DLL_TARGETS, LIB_TARGETS, EXE_TARGETS
# are any additional targets (defined below) prerequisite to
# the plugin library, archive library, and executable, respectively
PKG_I_DEPS=$(PKG_I)
Y_DISTMAKE=distmake

include $(Y_MAKEDIR)/Make.cfg
include $(Y_MAKEDIR)/Makepkg
include $(Y_MAKEDIR)/Make$(TGT)

# override macros Makepkg sets for rules and other macros
# Y_HOME and Y_SITE in Make.cfg may not be correct (e.g.- relocatable)
Y_HOME=$(Y_EXE_HOME)
Y_SITE=$(Y_EXE_SITE)

# reduce chance of yorick-1.5 corrupting this Makefile
MAKE_TEMPLATE = protect-against-1.5

# ------------------------------------- targets and rules for this package

# simple example:
#myfunc.o: myapi.h
# more complex example (also consider using PKG_CFLAGS above):
#myfunc.o: myapi.h myfunc.c
#	$(CC) $(CPPFLAGS) $(CFLAGS) -DMY_SWITCH -o $@ -c myfunc.c

insort.o: sort.h
sedgesort.o: sort.h

# -------------------------------------------------------- end of Makefile

# for the binary package production:
PKG_DEPLIBS_STATIC=-lm 
PKG_OS = macosx
# or linux or windows
PKG_VERSION = 0.5

binaries:
	$(MAKE)
	$(LD_DLL) -o $@ $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
	mv binaries $(PKG_NAME).so

package:
	$(MAKE) binaries
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
	cp -p *.i binaries/$(PKG_NAME)/dist/y_site/i0/
	cp -p check.i binaries/$(PKG_NAME)/.
	rm binaries/$(PKG_NAME)/dist/y_site/i0/check.i
	if test -n "$(PKG_I_START)"; then rm binaries/$(PKG_NAME)/dist/y_site/i0/$(PKG_I_START); fi
	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_OS)/' > tmp.info
	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz $(PKG_NAME)

distrib:
	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz" ; then ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/tarballs/ binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz; fi
	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/info/ binaries/$(PKG_NAME)/$(PKG_NAME).info; fi
	make clean; rm -rf binaries
	cd ..; tar --exclude binaries --exclude .svn -zcvf $(PKG_NAME)-$(PKG_VERSION)-src.tgz $(PKG_NAME); ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/src/ $(PKG_NAME)-$(PKG_VERSION)-src.tgz 


# -------------------------------------------------------- end of Makefile

## yorick-imutil 0.5.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Y_MAKEDIR=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE_SITE=/Users/frigaut/yorick-2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -71,37 +71,48 @@
 
 # -------------------------------------------------------- end of Makefile
 
-# for the binary package production:
+
+# for the binary package production (add full path to lib*.a below):
 PKG_DEPLIBS_STATIC=-lm 
-PKG_OS = macosx
+PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
 # or linux or windows
-PKG_VERSION = 0.5
+PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
+# .info might not exist, in which case he line above will exit in error.
 
-binaries:
-	$(MAKE)
-	$(LD_DLL) -o $@ $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
-	mv binaries $(PKG_NAME).so
+# packages or devel_pkgs:
+PKG_DEST_URL = packages
 
 package:
-	$(MAKE) binaries
+	$(MAKE)
+	$(LD_DLL) -o $(PKG_NAME).so $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
 	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
-	cp -p *.i binaries/$(PKG_NAME)/dist/y_site/i0/
-	cp -p check.i binaries/$(PKG_NAME)/.
-	rm binaries/$(PKG_NAME)/dist/y_site/i0/check.i
-	if test -n "$(PKG_I_START)"; then rm binaries/$(PKG_NAME)/dist/y_site/i0/$(PKG_I_START); fi
+	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
 	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
-	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
-	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_OS)/' > tmp.info
+	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
+	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
+	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
+	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
 	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
-	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz $(PKG_NAME)
+	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)
 
-distrib:
-	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz" ; then ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/tarballs/ binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz; fi
-	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/info/ binaries/$(PKG_NAME)/$(PKG_NAME).info; fi
+distbin: package
+	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
+	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
+	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
+	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi
+
+distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude .svn -zcvf $(PKG_NAME)-$(PKG_VERSION)-src.tgz $(PKG_NAME); ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/src/ $(PKG_NAME)-$(PKG_VERSION)-src.tgz 
+	cd ..; tar --exclude binaries --exclude .svn -zcvf \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
+	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
+	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
+	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz
 
 
 # -------------------------------------------------------- end of Makefile

## yorick-imutil 0.5.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.1
+Y_EXE=/usr/lib/yorick/2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/usr/lib/yorick/2.1
+Y_EXE_SITE=/usr/share/yorick/2.1
 
 # ----------------------------------------------------- optimization flags
 
@@ -107,7 +107,7 @@
 
 distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude .svn -zcvf \
+	cd ..; tar --exclude binaries --exclude .svn --exclude CVS --exclude *.spec -zcvf \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
 	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz

## yorick-imutil 0.5.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Y_MAKEDIR=/usr/lib/yorick/2.1
-Y_EXE=/usr/lib/yorick/2.1/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick/2.1
-Y_EXE_SITE=/usr/share/yorick/2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # ----------------------------------------------------- optimization flags

=== debian/changelog ===
yorick-imutil (0.5.5-1) unstable; urgency=low

  * New upstream release:
    + patch long_round applied upstream
    + depends and build-depends on yorick >=2.1.06
  * Move to science section

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Apr 2010 17:00:37 +0200

yorick-imutil (0.5.4-2) unstable; urgency=low

  * convert to 3.0 (quilt) format
  * change round() to long(round()) wherever necessary

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Apr 2010 18:47:56 +0200

yorick-imutil (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Checked against policy 3.8.3
  * Run test suite at build time

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 18 Nov 2009 16:38:20 +0100

yorick-imutil (0.5.3-1) unstable; urgency=low

  * New upstream release
  * debian/watch: file added
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
     * add dependency on yorick-yutils (thanks to François Rigaut)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-imutil.packinfo
     * added debian/yorick-imutil.keywords
  * debian/copyright: updated and converted to the machine-readable format
    proposed at http://wiki.debian.org/Proposals/CopyrightFormat

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 11:48:28 +0100

yorick-imutil (0.5.1-1) unstable; urgency=low

  * Initial Release. Closes: #366713

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 01 Sep 2006 09:55:12 +0200

=== debian/control ===
Source: yorick-imutil
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.06), yorick-yutils
Standards-Version: 3.8.4
DM-Upload-Allowed: yes

Package: yorick-imutil
Architecture: any
Depends: yorick (>= 2.1.06), yorick-yutils (>= 0.5),
 ${shlibs:Depends}, ${misc:Depends}
Description: fast image manipulation routines for the Yorick language
 Compiled routines for basic but fast image manipulation in yorick (an
 interpreted computer language specialized for numerical and scientific
 problems). Includes 2d bilinear and spline2 interpolation, clipping, 2d dist
 generator, binning, image rotation, cartesian to polar coordinate transform,
 gaussian and poisson random generator, fast sort and fast median. All of
 these functions, with the exceptions of spline2, exist in yorick or the
 yutils package, but these versions are 2 to 10x faster, being specialized for
 2d arrays (hence the name imutil). This plugin is 64bits safe.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

check:
	dh_testdir
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

Makefile.deborig:
	dh_testdir
	cp -f Makefile Makefile.deborig
	yorick -batch make.i

configure: configure-stamp
configure-stamp: Makefile.deborig
	dh_testdir
	touch configure-stamp


build: build-stamp check

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: Makefile.deborig
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	-mv -f Makefile.deborig Makefile
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installyorick
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure check

## yorick-imutil 0.5.7

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.2
+Y_EXE=/usr/lib/yorick/2.2/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/usr/lib/yorick/2.2
+Y_EXE_SITE=/usr/share/yorick/2.2
 
 # ----------------------------------------------------- optimization flags
 
@@ -71,6 +71,11 @@
 
 # -------------------------------------------------------- end of Makefile
 
+osx: all
+	libtool -static -o lib$(PKG_NAME).a $(OBJS)
+
+installosx: osx install
+	cp -p lib$(PKG_NAME).a $(Y_HOME)/lib/
 
 # for the binary package production (add full path to lib*.a below):
 PKG_DEPLIBS_STATIC=-lm

=== debian/changelog ===
yorick-imutil (0.5.7-4) unstable; urgency=medium

  * Bump Policy to 4.7.0.
  * Bug fix: "FTBFS: imutil.c:404:3: error: implicit declaration of
    function ‘srandom’ [-Werror=implicit-function-declaration]", thanks to
    Lucas Nussbaum (Closes: #1066524); new patch
    Werror_implicit-function-declaration.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 01 Aug 2024 09:11:59 +0200

yorick-imutil (0.5.7-3) unstable; urgency=low

  * Fortify (don't rely on yorick to provide right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 17:43:38 +0200

yorick-imutil (0.5.7-2) unstable; urgency=low

  * Amend control to get in line with debian science policy
  * Simplify rules and use a patch to adapt Makefile instead of
    fumbling with yorick -batch make.i

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 12:00:46 +0200

yorick-imutil (0.5.7-1) unstable; urgency=low

  * New upstream release
  * Check against policy 3.9.1

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 May 2011 11:25:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: yorick-imutil
 Section: science
 Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.06), yorick-yutils
-Standards-Version: 3.8.4
-DM-Upload-Allowed: yes
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.1.06), yorick-yutils
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/science-team/yorick-imutil.git
+Vcs-Browser: https://salsa.debian.org/science-team/yorick-imutil
 
 Package: yorick-imutil
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) COPT_DEFAULT="" \
	        Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
	        Y_LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	dh_installyorick

override_dh_auto_clean:
	$(MAKE) Y_MAKEDIR=/usr/lib/yorick Y_EXE=/usr/bin/yorick clean

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

=== debian/watch ===
version=3
http://www.maumae.net/yorick/packages/src/imutil-(.*)-src\.tgz
